Subject: Re: [tbench regression fixes]: digging out smelly deadmen.

From: Eric Dumazet <[email-masked]>
Date: Thu, 30 Oct 2008 19:43:32 +0100

Stephen Hemminger a écrit :
> Has anyone looked into the impact of port randomization on this benchmark.
> If it is generating lots of sockets quickly there could be an impact:
>   * port randomization causes available port space to get filled non-uniformly
>     and what was once a linear scan may have to walk over existing ports.
>     (This could be improved by a hint bitmap)
> 
>   * port randomization adds at least one modulus operation per socket
>     creation. This could be optimized by using a loop instead.

tbench setups one socket per client, then send/receive lot of messages on this socket.

Connection setup time can be ignored for the tbench regression analysis